OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ATI.SeparateStencil

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetATISeparateStencil :: MonadIO m => m Bool
- gl_ATI_separate_stencil :: Bool
- pattern GL_STENCIL_BACK_FAIL_ATI :: GLenum
- pattern GL_STENCIL_BACK_FUNC_ATI :: GLenum
- pattern GL_STENCIL_BACK_PASS_DEPTH_FAIL_ATI :: GLenum
- pattern GL_STENCIL_BACK_PASS_DEPTH_PASS_ATI :: GLenum
- glStencilFuncSeparateATI :: MonadIO m => GLenum -> GLenum -> GLint -> GLuint -> m ()
- glStencilOpSeparateATI :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> m ()

# Extension Support

glGetATISeparateStencil :: MonadIO m => m Bool Source #

Is the ATI_separate_stencil extension supported?

gl_ATI_separate_stencil :: Bool Source #

Is the ATI_separate_stencil extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATISeparateStencil` in those cases instead.

# Enums

pattern GL_STENCIL_BACK_FAIL_ATI :: GLenum Source #

pattern GL_STENCIL_BACK_FUNC_ATI :: GLenum Source #

pattern GL_STENCIL_BACK_PASS_DEPTH_FAIL_ATI :: GLenum Source #

pattern GL_STENCIL_BACK_PASS_DEPTH_PASS_ATI :: GLenum Source #

# Functions

glStencilFuncSeparateATI Source #

Arguments

:: MonadIO m |
=> GLenum | `frontfunc` of type StencilFunction.
-> GLenum | `backfunc` of type StencilFunction.
-> GLint | `ref` of type `ClampedStencilValue`.
-> GLuint | `mask` of type `MaskedStencilValue`.
-> m () |

glStencilOpSeparateATI Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type StencilFaceDirection.
-> GLenum | `sfail` of type StencilOp.
-> GLenum | `dpfail` of type StencilOp.
-> GLenum | `dppass` of type StencilOp.
-> m () |

This command is an alias for `glStencilOpSeparate`.